Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598106 - "translit" input method does not work
Summary: "translit" input method does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-table-cyrillic
Version: 13
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 12:55 UTC by Tim Jackson
Modified: 2011-01-01 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-01 15:56:45 UTC


Attachments (Terms of Use)

Description Tim Jackson 2010-05-31 12:55:53 UTC
Description of problem:
The Russian "translit" input method does not work

Version-Release number of selected component (if applicable):
ibus-table-cyrillic.noarch 0:1.2.0.20100305-3.fc13

How reproducible:
Always

Steps to Reproduce:
1. Enable ibus, set up the translit input method
2. Open gedit, switch on the translit method
3. Start typing
  
Actual results:
Roman characters are typed. The ibus "options" dialogue (showing possible completions) appears after each character you type (whichever one, even ones that shouldn't need a prompt, like "p"), but is always empty.

Expected results:
Cyrillic characters are typed.

Additional info:
The "yawerty" and "rustrad" input methods are working.
If I go back to the older "ibus-table-translit" package, then the "translit" method from that package still works fine.

Comment 1 Fedora Admin XMLRPC Client 2010-07-15 00:29:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Jens Petersen 2010-12-09 06:43:07 UTC
Could you give some testcase?  Is it working any better now?

I recommend trying the "translit (m17n)" from m17n too.

Comment 3 Tim Jackson 2011-01-01 15:56:45 UTC
Well, the current F-13 ibus-table-cyrillic (ibus-table-cyrillic-1.3.0.20100907-5.fc13.noarch) no longer provides/obsoletes the translit input method/ibus-table-translit. (ibus-table-cyrillic just provides the yawerty and rustrad methods), so this bug is not relevant any more.


Note You need to log in before you can comment on or make changes to this bug.